
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: ant: fix stage1/stage2 bootstrap

The ant spec file provides a mechanism to bootstrap the package,
but this feature probably hasn't been used in a while and has bitrotten
somewhat.  This patch fixes up the spec file so that it mostly works
again.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/ant.spec
===================================================================
--- SPECS.orig/ant.spec
+++ SPECS/ant.spec
@@ -736,9 +736,11 @@ echo "ant/ant-swing" > $RPM_BUILD_ROOT%{
 echo "jaxp_transform_impl ant/ant-trax" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/trax
 
 # javadoc
+%if ! %{bootstrap1} && ! %{bootstrap2}
 mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
 cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
 ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}
+%endif
 
 # fix link between manual and javadoc
 (cd docs/manual; ln -sf %{_javadocdir}/%{name}-%{version} api)
@@ -770,6 +772,7 @@ then
 fi
 %endif
 
+%if ! %{bootstrap1} && ! %{bootstrap2}
 %if %{gcj_support}
 %post commons-net
 if [ -x %{_bindir}/rebuild-gcj-db ]
@@ -785,6 +788,7 @@ then
   %{_bindir}/rebuild-gcj-db
 fi
 %endif
+%endif
 
 # We do not ship dependencies for these, so they are disabled.
 %if 0
@@ -805,6 +809,7 @@ fi
 %endif
 %endif
 
+%if ! %{bootstrap1} && ! %{bootstrap2}
 %if %{gcj_support}
 %post antlr
 if [ -x %{_bindir}/rebuild-gcj-db ]
@@ -836,6 +841,7 @@ then
   %{_bindir}/rebuild-gcj-db
 fi
 %endif
+%endif
 
 %if %{gcj_support}
 %post jmf
@@ -869,6 +875,7 @@ then
 fi
 %endif
 
+%if ! %{bootstrap1} && ! %{bootstrap2}
 %if %{gcj_support}
 %post apache-log4j
 if [ -x %{_bindir}/rebuild-gcj-db ]
@@ -884,6 +891,7 @@ then
   %{_bindir}/rebuild-gcj-db
 fi
 %endif
+%endif
 
 %if %{gcj_support}
 %post swing
@@ -917,6 +925,7 @@ then
 fi
 %endif
 
+%if ! %{bootstrap1} && ! %{bootstrap2}
 %if %{gcj_support}
 %post apache-regexp
 if [ -x %{_bindir}/rebuild-gcj-db ]
@@ -1060,6 +1069,7 @@ then
   %{_bindir}/rebuild-gcj-db
 fi
 %endif
+%endif
 
 %files
 %defattr(0644,root,root,0755)
